Event.h File Reference

UpnpEvent object declararion. More...

`#include "ixml.h"`
`#include "UpnpGlobal.h"`
`#include "UpnpString.h"`
Include dependency graph for Event.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_UpnpEvent | UpnpEvent

## Functions

UpnpEvent * | UpnpEvent_new ()
void | UpnpEvent_delete (UpnpEvent *p)
UpnpEvent * | UpnpEvent_dup (const UpnpEvent *p)
void | UpnpEvent_assign (UpnpEvent *p, const UpnpEvent *q)
int | UpnpEvent_get_EventKey (const UpnpEvent *p)
void | UpnpEvent_set_EventKey (UpnpEvent *p, int n)
IXML_Document * | UpnpEvent_get_ChangedVariables (const UpnpEvent *p)
void | UpnpEvent_set_ChangedVariables (UpnpEvent *p, IXML_Document *d)
const UpnpString * | UpnpEvent_get_SID (const UpnpEvent *p)
const char * | UpnpEvent_get_SID_cstr (const UpnpEvent *p)
void | UpnpEvent_set_SID (UpnpEvent *p, const UpnpString *s)

## Detailed Description

UpnpEvent object declararion.

Author
  Marcelo Roberto Jimenez

## Typedef Documentation

typedef struct s_UpnpEvent UpnpEvent

Returned along with a UPNP_EVENT_RECEIVED callback.

## Function Documentation

void UpnpEvent_assign | ( | UpnpEvent * | p,
|  | const UpnpEvent * | q
| ) |  |

Assignment operator

References UpnpEvent_get_ChangedVariables(), UpnpEvent_get_EventKey(), and UpnpEvent_get_SID().

Referenced by UpnpEvent_dup().

void UpnpEvent_delete | ( | UpnpEvent * | p | ) |

Destructor

References UpnpString_delete().

Referenced by gena_process_notification_event().

UpnpEvent* UpnpEvent_dup | ( | const UpnpEvent * | p | ) |

Copy Constructor

References UpnpEvent_assign(), and UpnpEvent_new().

IXML_Document* UpnpEvent_get_ChangedVariables | ( | const UpnpEvent * | p | ) |

The DOM tree representing the changes generating the event.

Referenced by UpnpEvent_assign().

int UpnpEvent_get_EventKey | ( | const UpnpEvent * | p | ) |

The event sequence number.

Referenced by UpnpEvent_assign().

const UpnpString* UpnpEvent_get_SID | ( | const UpnpEvent * | p | ) |

The subscription ID for this subscription.

Referenced by UpnpEvent_assign().

UpnpEvent* UpnpEvent_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by gena_process_notification_event(), and UpnpEvent_dup().